# -v title
# -v top_root
# -v top_stem
# -v library_root
# -v link_to_changelog
# -v creators_root
# -v details
# 
# -v page_bg
# -v table_bg
# -v headers_bg
# 


BEGIN {
  	 if (page_bg == "")
	   page_bg = "#bebebe";

	 if (table_bg == "")
	   table_bg = "#bebebe";

	 if (headers_bg == "")
	   headers_bg = "#bebebe";

         print "<HTML>";
         print "";
         print "<HEAD><TITLE>" title "</TITLE></HEAD>";
         print "";
         print "<BODY bgcolor=\"" page_bg "\">"
         print "";
         print "";
         print "<table border bgcolor=\"" table_bg "\" width=\"100%\">";
         print "<caption><font color=\"#dedede\"><i>" title "</i></font></caption>";
       }
    
{
  print "<tr>";
  print "<td><font color=\"#000000\">";
  print "<a target=\"_top\" href=\"" top_root "/" $0 "/" top_stem "index.html\">" $0 "</a>";
  if (library_root != "")
    {
      print "<a target=\"display\" href=\"" library_root "/" $0 "/=README\"><small><code>=README</code></small></a>";
    }
  if (link_to_changelog)
    {
      print "<br>";
      print "<a target=\"display\" href=\"vsns/" $0 "/changelog.html\"><small><code>ChangeLog</code></small></a> ";
    }
  if (creators_root != "")
    {
      print "<a target=\"_top\" href=\"" creators_root "/" $0 "/" "creator-index.html\"><small><i>creators</i></small></a>";
    }
  if (link_to_changelog)
    {
      print "<a target=\"display\" href=\"vsns/" $0 "/files-by-tag.html\"><small><i>file tags</i></small></a> ";
    }
  if (details != "")
    {
      print "<a target=\"display\" href=\"" top_root "/" $0 "/" details "\"><small><i>details</i></small></a>";
    }
  print "</font></td>";
  print "</tr>";
}
    
END {
      print "</table>";
      print "";
      print "</BODY>";
      print "";
      print "</HTML>";
    }

# tag: Tom Lord Sat Jan 26 16:51:43 2002 (web/right-index.awk)
#
